<?php

declare(strict_types=1);

namespace Builder\Core\Foundation\Auth;

interface AuthenticationProvider
{
    public function identifier(): string;

    public function label(): string;

    public function redirectRoute(): string;

    public function icon(): ?string;
}
